Package com.microblink.blinkid.entities.detectors.quad.mrtd

# Class MrtdSpecification

java.lang.Object
com.microblink.blinkid.entities.detectors.quad.Specification
com.microblink.blinkid.entities.detectors.quad.mrtd.MrtdSpecification

public class MrtdSpecification extends Specification
Class representing specification of MRTD (Machine Readable Travel Document) that can be detected with MRTDDetector.

- ## Field Summary

  ### Fields inherited from class com.microblink.blinkid.entities.detectors.quad.Specification

  `mNativeContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MrtdSpecification(long nativeContext)`
  Constructor from native object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MrtdSpecification`
  `createFromPreset(MrtdSpecificationPreset preset)`
  Creates a new MRTD (Machine Readable Travel Document) specification from the predefined preset.
  `long`
  `getNativeContext()`
  `protected void`
  `terminateNative(long nativeContext)`

  ### Methods inherited from class com.microblink.blinkid.entities.detectors.quad.Specification

  `finalize, getPhysicalHeightInInches`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MrtdSpecification

    public MrtdSpecification(long nativeContext)
    Constructor from native object. For internal use only. For creating specification, please use `createFromPreset(MrtdSpecificationPreset)`.
    Parameters:
      `nativeContext` - Pointer to native object.

- ## Method Details

  - ### getNativeContext

    public long getNativeContext()

  - ### createFromPreset

    @NonNull public static MrtdSpecification createFromPreset(@NonNull MrtdSpecificationPreset preset)
    Creates a new MRTD (Machine Readable Travel Document) specification from the predefined preset.
    Parameters:
      `preset` - Preset defining which MRTD detection settings should be used.
    Returns:
      MRTD specification created from given preset

  - ### terminateNative

    protected void terminateNative(long nativeContext)
    Specified by:
      `terminateNative` in class `Specification`